# studio::ToggleDucksDial Class Reference

`#include <toggleducksdial.h>`

List of all members.

## Public Member Functions

| ToggleDucksDial ()
void | update_toggles (Duck::Type mask)
Glib::SignalProxy0< void > | signal_ducks_position ()
Glib::SignalProxy0< void > | signal_ducks_vertex ()
Glib::SignalProxy0< void > | signal_ducks_tangent ()
Glib::SignalProxy0< void > | signal_ducks_radius ()
Glib::SignalProxy0< void > | signal_ducks_width ()
Glib::SignalProxy0< void > | signal_ducks_angle ()

## Constructor & Destructor Documentation

ToggleDucksDial::ToggleDucksDial | ( |  | ) |

References _.

## Member Function Documentation

void ToggleDucksDial::update_toggles | ( | Duck::Type | mask | ) |

References studio::Duck::TYPE_ANGLE, studio::Duck::TYPE_POSITION, studio::Duck::TYPE_RADIUS, studio::Duck::TYPE_TANGENT, studio::Duck::TYPE_VERTEX, and studio::Duck::TYPE_WIDTH.

Glib::SignalProxy0<void> studio::ToggleDucksDial::signal_ducks_position | ( |  | ) | `[inline]`

Glib::SignalProxy0<void> studio::ToggleDucksDial::signal_ducks_vertex | ( |  | ) | `[inline]`

Glib::SignalProxy0<void> studio::ToggleDucksDial::signal_ducks_tangent | ( |  | ) | `[inline]`

Glib::SignalProxy0<void> studio::ToggleDucksDial::signal_ducks_radius | ( |  | ) | `[inline]`

Glib::SignalProxy0<void> studio::ToggleDucksDial::signal_ducks_width | ( |  | ) | `[inline]`

Glib::SignalProxy0<void> studio::ToggleDucksDial::signal_ducks_angle | ( |  | ) | `[inline]`

The documentation for this class was generated from the following files:

- toggleducksdial.h
- toggleducksdial.cpp